# require "bundler"
# Bundler.require
require 'mongo_mapper'
require 'active_support'

require File.join(File.dirname(__FILE__), 'tweek_catalogue', 'version')
require File.join(File.dirname(__FILE__), 'tweek_catalogue', 'concerns')
require File.join(File.dirname(__FILE__), 'tweek_catalogue', 'video')
Dir.glob(File.join(File.dirname(__FILE__), 'tweek_catalogue', '*.rb')).each do |f|
 require f
end

module TweekCatalogue
  # mongo_config: result of a YAML.load_file call e.g:
  #   {
  #     'development': {
  #       'uri': 'mongodb://localhost:27017/database_namee'
  #       'poolsize': 5
  #     }
  #   }
  # environment: development, test, staging, production
  #

  # def self.included(base)
  #   base.extend(ClassMethods)
  # end

  def self.connect_mongodb!(mongo_config, environment)
    MongoMapper.setup(mongo_config, environment.to_s, {pool_size: find_pool_size(mongo_config, environment)})
  end

  def self.find_pool_size(mongo_config, environment)
    (mongo_config[environment.to_s]['pool_size'].presence || 5).to_i
  end



  module ClassMethods
    def connect_mongodb!(mongo_config, environment)
      MongoMapper.setup(mongo_config, environment.to_s, {pool_size: find_pool_size(mongo_config, environment)})
    end

    private

    def find_pool_size(mongo_config, environment)
      (mongo_config[environment.to_s]['pool_size'].presence || 5).to_i
    end
  end
end
