module TweekCatalogue

  class Person
    include MongoMapper::Document
    include Concerns::I18nSupport
    include Concerns::ObjectFactories

    i18n_keys_for :en, :de

    key :adult, Boolean, default: false

    key :tmdb_id, String
    key :imdb_id, String

    key :name, String
    key :also_known_as, Array

    key :profile_path, String
    key :tmdb_popularity, String
    key :place_of_birth, String

    key :biography, String

    key :birthday, Date
    key :deathday, Date

    timestamps!

    validates_uniqueness_of :tmdb_id

    before_destroy do
      Participant.where(:person_tmdb_id => self.tmdb_id).destroy_all
    end
  end
end
