module TweekCatalogue
  class VideoCollection

    include MongoMapper::Document
    include Concerns::I18nSupport
    include Concerns::ObjectFactories

    # Support i18n fields with en and de locales
    i18n_keys_for :en, :de

    key :tmdb_id, String
    key :backdrop_path, String

    i18n_key :name, String
    i18n_key :poster_path, String

    many :videos, class_name: 'TweekCatalogue::Video', foreign_key: :video_collection_id

    timestamps!

    def self.build_primary_key(attrs)
      { tmdb_id: attrs[:tmdb_id].to_s }
    end
  end
end
